##library  charger
library(bitops)
library(gdata)
library(caTools)
library(tools)
library(gplots)
library(timeDate)
library(timeSeries)
library(fBasics)
library(igraph)
library(tcltk )
library(ade4)
library(Cairo)
library(igraph)



##Chargement de la table des gouts...
setwd('C:\\Users\\sony\\Desktop\\Dropbox\\Dropbox\\Network\\graphe' )
C=read.csv("matriceA.csv",sep=';',header=TRUE)
 a=dim(C)          

 #forcer le statut matrice
Mat=data.matrix(C[,2:10], rownames.force = T)     
row.names(Mat)<-C[,1]   
 
 #produit matriciel
 AdjMat= Mat%*%t(Mat)
 Mat%*%t(Mat)
 
F=graph.adjacency(AdjMat,diag=FALSE,weighted=TRUE,mode="directed")
names.Vertex=rownames(AdjMat)  
                
plot.igraph(F,layout=layout.fruchterman.reingold,vertex.size=10,vertex.label=names.Vertex)
           clusters(F)
           


plot.igraph(F,layout=layout.fruchterman.reingold,
edge.width =( E(F)$weight)*( E(F)$weight),
vertex.size=10,vertex.label=names.Vertex, edge.color="black",edge.curved=FALSE, edge.arrow.size=0)

  
  
Fconnect=graph.adjacency(AdjMat,diag=FALSE,weighted=TRUE,mode="undirected")
names.Vertex.Connect=substring(rownames(AdjMat),1,10)

                                       
plot.igraph(Fconnect,layout=layout.kamada.kawai,vertex.size=30,vertex.label=names.Vertex.Connect)

  
                                                  
                                       

### moiiie !
tkplot(F, canvas.width=600, canvas.height=500,vertex.label=names.Vertex,edge.width =( E(F)$weight)*( E(F)$weight),edge.color="black",edge.curved=TRUE, edge.arrow.size=0)








####################################################
#Graph sur les films

Mat=data.matrix(C[,2:a[2]], rownames.force = )     
 
 #produit matriciel
 AdjMat2= t(Mat)%*%Mat
  t(Mat)%*%Mat
 
F2=graph.adjacency(AdjMat2,diag=FALSE,weighted=TRUE,mode="directed")
names.Vertex2=rownames(AdjMat2)  
                
plot.igraph(F2,layout=layout.fruchterman.reingold,vertex.size=10,vertex.label=names.Vertex2)
           clusters(F)
            
plot.igraph(F2,layout=layout.fruchterman.reingold,
edge.width =( E(F2)$weight)*( E(F2)$weight),
vertex.size=diag(AdjMat2)*10,vertex.label=names.Vertex2, edge.color="black",edge.curved=FALSE, edge.arrow.size=0)

  
                                       
plot.igraph(Fconnect,layout=layout.kamada.kawai,vertex.size=30,vertex.label=names.Vertex.Connect)

  
                                        

### moiiie !
tkplot(F2, canvas.width=600, canvas.height=500,vertex.size=diag(AdjMat2)*10, 
vertex.label=names.Vertex2,edge.width =( E(F2)$weight)*( E(F2)$weight),edge.color="black",edge.curved=FALSE, edge.arrow.size=0)




